﻿
using Hotline.Orders;
using Hotline.Share.Dtos.Order;

namespace Hotline.Ai.Visit
{
    public interface IAiVisitService
    {
        Task<AiOrderVisit> CreateAiOrderVisitTask(AiOrderVisit aiOrderVisit, CancellationToken cancellationToken);

        Task<AiVisitQueryData> QueryAiVisitTask(string batchId,string taskId, CancellationToken cancellationToken);
    }
}
