﻿using Hotline.Share.Enums.Order;
using MiniExcelLibs.Attributes;


namespace Hotline.Import
{
    public class ExcelContent
    {
        [ExcelColumnName("编号")]
        public string ExternalId { get; set; }

        [ExcelColumnName("标题")]
        public string Title { get; set; }

        [ExcelColumnName("受理时间")]
        public DateTime StartTime { get; set; }

        [ExcelColumnName("内容")]
        public string Content { get; set; }

        [ExcelColumnName("受理类型编号（字典值）")]
        public string AcceptTypeCode { get; set; }

        [ExcelColumnName("受理类型")]
        public string AcceptType { get; set; }

        [ExcelColumnName("热点全称")]
        public string HotspotSpliceName { get; set; }

        [ExcelColumnName("热点名称")]
        public string HotspotName { get; set; }

        [ExcelColumnName("热点编码")]
        public string HotspotId { get; set; }

        [ExcelColumnName("事件全称")]
        public string EventCategorySpliceName { get; set; }

        [ExcelColumnName("事件名称")]
        public string EventCategoryName { get; set; }

        [ExcelColumnName("事件编码")]
        public string EventCategoryId { get; set; }

        [ExcelColumnName("地址编码")]
        public string AreaCode { get; set; }

        [ExcelColumnName("市")]
        public string City { get; set; }

        [ExcelColumnName("区")]
        public string County { get; set; }

        [ExcelColumnName("详细地址")]
        public string Address { get; set; }

        [ExcelColumnName("办结时间")]
        public DateTime ActualHandleTime { get; set; }

        [ExcelColumnName("办结意见")]
        public string ActualOpinion { get; set; }

        [ExcelColumnName("办结部门编号")]
        public string ActualHandleOrgCode { get; set; }

        [ExcelColumnName("办结部门")]
        public string ActualHandleOrgName { get; set; }

        [ExcelColumnName("联系电话")]
        public string Contact { get; set; }

        [ExcelColumnName("来电人身份")]
        public EIdentityType IdentityType { get; set; }

        [ExcelColumnName("工单状态")]
        public EOrderStatus Status { get; set; }

        [ExcelColumnName("来源")]
        public ESource Source { get; set; }
    }
}
