﻿using Hotline.Share.Dtos.Push;

namespace Hotline.Push.FWMessage
{
    public interface IPushDomainService
    {
        /// <summary>
        /// 短信发送
        /// </summary>
        /// <param name="messageDto"></param>
        /// <param name="cancellation"></param>
        /// <returns></returns>
        Task PushMsgAsync(MessageDto messageDto, CancellationToken cancellation);

        /// <summary>
        /// 修改短信推送状态
        /// </summary>
        /// <param name="dto"></param>
        /// <param name="cancellation"></param>
        /// <returns></returns>
        Task PushMsgUpdateStateAsync(PushReceiveMessageDto dto, CancellationToken cancellation);


    }
}
