﻿using System.ComponentModel;

namespace Hotline.Share.Enums.Order;

public enum ESource
{
    /// <summary>
    /// 热线平台工单
    /// </summary>
    Hotline = 0,

    /// <summary>
    /// 门户网站
    /// </summary>
    WebPortal=2,

    /// <summary>
    /// 热线平台导入工单
    /// </summary>
    HotlineImport = 1,

    /// <summary>
    /// 省平台直派
    /// </summary>
    ProvinceStraight = 100,

    /// <summary>
    /// 110同步工单
    /// </summary>
    Police110 = 200,

    /// <summary>
    /// 泸州工单互转、 市州互转-宜宾、泸州市州互转工单
    /// </summary>
    CityDataExchangeLz = 300,

    /// <summary>
    /// 宜宾融媒体
    /// </summary>
    ConvergenceMedia=400,

    /// <summary>
    /// i宜宾
    /// </summary>
    IYIBIN = 401,

    #region 导入类型（>=500  <530为导入来源）
    /// <summary>
    /// 麻辣社区导入
    /// </summary>
    [Description("麻辣社区")]
    MLSQ = 500,

    [Description("人民网")]
    RMW = 501,

    [Description("省长信箱")]
    SZXX = 502,

    [Description("问政四川")]
    WZSC = 529,
    #endregion
}