﻿namespace Hotline.Share.Requests
{
    public record DepartmentKeyWordRequest : PagedRequest
    {
        /// <summary>
        /// 开始时间
        /// </summary>
        public DateTime StartDate { get; set; }

        /// <summary>
        /// 结束时间
        /// </summary>
        public DateTime EndDate { get; set; }

        /// <summary>
        /// 一级部门编码
        /// </summary>
        public string? OrgLevelOneCode { get; set; }

        /// <summary>
        /// 受理类型编码
        /// </summary>
        public string? AcceptTypeCode { get; set; }
    }
}
